IF( ${platform_upper} STREQUAL "X86_64_UBUNTU" )

  include_directories( /usr/include/gstreamer-0.10 /usr/lib/x86_64-linux-gnu/glib-2.0/include /usr/include/glib-2.0 ) 

  LIST( APPEND PLATFORM_NAMES "LINUX" )  
  LIST( APPEND PLATFORM_NAMES "X86_64_UBUNTU" )
  LIST( APPEND PLATFORM_NAMES "ALL" )
  
  SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache) 

  execute_process(COMMAND ls /usr/src
    COMMAND tail -1
    COMMAND head -n 1
    OUTPUT_VARIABLE KERNEL_SRC
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  SET( KERNEL_SRC /usr/src/${KERNEL_SRC} )
  set(CMAKE_CXX_FLAGS ${CMAKE_CSS_FLAGS} "-fPIC")
    
  add_definitions( -DPLATFORM_X11 )
ENDIF()
